Subject: bug#53771: 29.0.50; highlight-regexp not working after tabulated-list-col-sort

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 05 Feb 2022 07:48:58 +0100

Jean Louis <[email-masked]> writes:

> 1) M-x package-list-packages
>
> 2) M-x highlight-regexp RET parens RET and word "parens" will get
>    highlighted
>
> 3) Click on "Archive" title and sort the list by Archive column
>
> 4) M-x highlight-regexp RET parens RET and the word "parens" is not
>    highlighted. I would like to understand why. hi-lock mode remains
>    turned on.

As the doc string says:

---
Use Font lock mode, if enabled, to highlight REGEXP.  Otherwise,
use overlays for highlighting.  If overlays are used, the
highlighting will not update as you type.  The Font Lock mode
is considered "enabled" in a buffer if its ‘major-mode’
causes ‘font-lock-specified-p’ to return non-nil, which means
the major mode specifies support for Font Lock.
---

So in these modes, changing the text won't update the overlays, and
re-sorting them will remove the overlays altogether.  So I don't think
there's any bug here, and I'm therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no